Wish: Hatch boundry settings

unhandled

#1

I just need to remind you of this wish:
The ability to show a hatch’s boundry and set a separate color and thickness for it.

And add transparency and layered textures and gradients to the down-the-line wishes too please :wink:

Thanks!


#2

I wished for something similar a while back:


#3

Yes, good point, and have add point and add kink to the boundary as well as the current “delete”.


(Pascal Golay) #4

Hi Bogdan - snapping does work on hatch boundaries now in V6/Beta.

-Pascal


(Pascal Golay) #5

Hello - I guess you’ve figured out the workaround using DupBorder Group, and line weight… but I think you want this as a display only, correct, no curve, even if that were made a little smoother (i.e DupBorder with History or something)

-Pascal


#6

True, I want only one object. It’s less to handle and less to mess up :wink:
Just started working with Rhino 6 on projects and being able to snap to hatches are a welcome addition. Thanks!


#7

To add to the hatch wish thread, I would find it handy to have hatches behave like surfaces in regards to joining and splitting. There are times when modifying a complicated hatch (it is being bound by many curves, many islands of exclusions to pick) where I just want to trim off a bit, or join a little bit to the existing hatch. I know I can turn the points on and drag the hatch boundary about, but that doesn’t always result in what I need.

Thanks,
Sam


(Pascal Golay) #8

Hi Sam - just fooling around with that idea, here is a very quick and simple script that seems to show that it is possible, if the hatch is made with History:

import rhinoscriptsyntax as rs
import scriptcontext as sc


def test():
    
    
    id = rs.GetObject("Select current boundary", 4, preselect=True)
    if not id: return
    
    hId = rs.GetObject("Select the hatch",65536   )
    if not hId: return
    
    crvId = rs.GetObject("Select the new boundary", 4)
    if not crvId: return
    
    crv = rs.coercecurve(crvId)
    
    sc.doc.Objects.Replace(id, crv)
    sc.doc.Views.Redraw()
    
test()

-Pascal